> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 对话后的问题推荐

# Suggest Questions



## OpenAPI

````yaml post /v1/spaces/completions/{space_id}/suggest-questions
openapi: 3.0.2
info:
  title: Duplik Backend
  description: The API for Duplik Backend.
  version: 0.1.0
servers:
  - url: https://api.duplik.cn
security: []
paths:
  /v1/spaces/completions/{space_id}/suggest-questions:
    post:
      tags:
        - openapi-space
      summary: Suggest Questions
      operationId: >-
        suggest_questions_conversation_message_v1_spaces_completions__space_id__suggest_questions_post
      parameters:
        - required: true
          schema:
            title: Space Id
            type: integer
          name: space_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestionQuestionsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestionQuestionsResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SuggestionQuestionsRequest:
      title: SuggestionQuestionsRequest
      required:
        - session_id
        - message_id
      type: object
      properties:
        session_id:
          title: Session Id
          type: string
        message_id:
          title: Message Id
          type: string
    SuggestionQuestionsResult:
      title: SuggestionQuestionsResult
      required:
        - questions
      type: object
      properties:
        questions:
          title: Questions
          type: array
          items:
            type: string
          description: Suggested questions, limit max 3 questions
    ErrorResponse:
      title: ErrorResponse
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````